import roslib; roslib.load_manifest('rospy')
import flask
import os.path
import threading
import rospy

app = flask.Flask(__name__)
site_root = os.path.dirname(__file__)
lock = threading.RLock()
print("Site root is {0}".format(site_root))

DB_PORT = rospy.get_param('warehouse_port')
DB_HOST = rospy.get_param('warehouse_host', 'localhost')
print("Db is at {0}:{1}".format(DB_HOST, DB_PORT))
DB_NAME = rospy.get_param('semantic_db_name', 'semantic_world_model')

import db
import views
