/*
 * newfilter.cc
 * Mac Mason <mmason@willowgarage.com>
 *
 * New-and-improved filtering. This is pretty easy, as you may notice.
 */

#include "ros/ros.h"
#include "semanticmodel/segmenter.hh"

int main(int argc, char** argv)
{
  ros::init(argc, argv, "filter");

  semanticmodel::Segmenter S("~",
                             "incloud", 
                             "incam", 
                             "planecloud",
                             "plane",
                             "objects",
                             "planeexchange");
  ros::spin();
  return 0;
}
