/*
 * In theory, centroid exists in PCL. However, the version I'm getting doesn't
 * have it, so here it is.
 */

#include "pcl/point_types.h"
#include "pcl_ros/point_cloud.h"
#include <cstddef>

#pragma once

namespace semanticmodel
{

Eigen::Vector4f centroid(
    const pcl::PointCloud<pcl::PointXYZRGB>::ConstPtr& cloud);

}
