/*
 * intermediary.hh
 * Mac Mason <mmason@willowgarage.com>
 *
 * It's apparently impossible to get a PCL pointcloud type to turn into a
 * PCL::CUDA point cloud type. So, I'm going to do a horrific thing by hand.
 */

#pragma once
#include <vector>
#include <cstddef>

namespace semanticmodel 
{
  class Intermediary
  {
    public:
      // Can't take a PointCloud as argument; stupid stupid stupid.
      Intermediary();
      std::vector<float> xyzs;
      size_t width;
      size_t height;
      bool is_dense;
  };
}
