#!/usr/bin/env python

# Aug 9: This won't work any more with the db changes

import roslib
roslib.load_manifest('semanticmodel')

import rospy
import sys
import mongo_ros as mr
import sensor_msgs.msg as sm

rospy.init_node('show_image')
pub = rospy.Publisher('image', sm.Image, latch=True)

db = 'world_model' if len(sys.argv)<3 else sys.argv[2]
c = mr.MessageCollection(db, 'images', sm.Image)

print("Blob ids are {0}".
    format(sorted([m['cluster_id'] for m in c.query({}, metadata_only=True)])))
if len(sys.argv)>1:
    print("Publishing blob {0}".format(sys.argv[1]))
    img = next(c.query({'cluster_id': int(sys.argv[1])}))[0]
    pub.publish(img)
    rospy.sleep(2.0)
else:
    print "Usage: {0} BLOB_ID".format(sys.argv[0])

